Subject: Re: Naming collision

From: Tomas Volf <[email-masked]>
Date: Sat, 30 Dec 2023 18:21:55 +0100

On 2023-12-30 15:51:29 +0100, Troy Figiel wrote:
> Interestingly, both `python-snappy' and `snappy' are available on PyPI
> (https://pypi.org/project/snappy/). These are two completely distinct
> packages and in this issue I only package `python-snappy'.
>
> If I understand the Python naming rules, if someone were to package
> `snappy' in the future, both would be associated to the `python-snappy'
> variable in Guix. What would be the best approach to handle this
> potential naming collision?

As far as I can tell, names of PyPI packages in guix are basically formed by
adding `python-' prefix to the PyPI name.  So here the correct name would be
`python-python-snappy'.  I agree that it looks... weird, however it does prevent
the collision.

It will prevent any user confusion, while adhering to a pattern that is already
elsewhere, so I think it is worth it.

Have a nice day,
Tomas Volf

--
There are only two hard things in Computer Science:
cache invalidation, naming things and off-by-one errors.